Get target summary
curl --request GET \
--url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/targets/{targetId} \
--cookie acornops_cp_session=const options = {method: 'GET', headers: {cookie: 'acornops_cp_session='}};
fetch('https://api.acornops.dev/api/v1/workspaces/{workspaceId}/targets/{targetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetType": "kubernetes",
"name": "<string>",
"status": "<string>",
"connectionStatus": "<string>",
"latestSnapshot": {
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clusterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z"
},
"summary": {},
"permissions": {}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Targets and inventory
Get target summary
Browser callers use the session cookie. External integration callers may use the external integration client token plus x-acornops-external-user-id when the linked user and bot allowlist grant read_workspace_data.
Get target summary
curl --request GET \
--url https://api.acornops.dev/api/v1/workspaces/{workspaceId}/targets/{targetId} \
--cookie acornops_cp_session=const options = {method: 'GET', headers: {cookie: 'acornops_cp_session='}};
fetch('https://api.acornops.dev/api/v1/workspaces/{workspaceId}/targets/{targetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetType": "kubernetes",
"name": "<string>",
"status": "<string>",
"connectionStatus": "<string>",
"latestSnapshot": {
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"clusterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": "2023-11-07T05:31:56Z"
},
"summary": {},
"permissions": {}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"details": {}
}
}Authorizations
userSessionexternalIntegrationClientToken
Headers
Required only for external integration client-token requests. Must identify a linked external integration user.
Required string length:
1 - 128Path Parameters
Example:
"4b930d98-add9-4924-ab26-3c16d96ec373"
Example:
"5b006e4c-509c-458a-9f02-5aafbdc01ade"
Response
Target summary.